summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdosbox/build/dosbox.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/dosbox/build/dosbox.SlackBuild b/dosbox/build/dosbox.SlackBuild
index a7cd31ec..9f590cbd 100755
--- a/dosbox/build/dosbox.SlackBuild
+++ b/dosbox/build/dosbox.SlackBuild
@@ -37,6 +37,8 @@
# * Update.
# 0.71-1: 02/aug/2007 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 0.72-1: 03/sep/2007 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh dosbox.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -47,7 +49,7 @@
# Set initial variables:
PRGNAM=dosbox
-VERSION=${VERSION:-0.71}
+VERSION=${VERSION:-"0.72"}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -120,7 +122,7 @@ if ! [ -f ${SOURCE} ]; then
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
wget -nv --connect-timeout=20 -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ]; then
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1